Package: org.gradle.api.artifacts

## [Java] Enum State

- org.gradle.api.artifacts.Configuration.State

- The states a configuration can be into. A configuration is only mutable as long as it is in the unresolved state.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `RESOLVED` |
    `RESOLVED_WITH_FAILURES` |
    `UNRESOLVED` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### Configuration.State RESOLVED

    - #### Configuration.State RESOLVED_WITH_FAILURES

    - #### Configuration.State UNRESOLVED